libzypp: zypp::target::CommitPackageCache Class Reference

libzypp 17.25.10

Classes | Public Types | Public Member Functions | Private Attributes | Friends | Related Functions | List of all members
zypp::target::CommitPackageCache Class Reference

Target::commit helper optimizing package provision. More...

`#include <CommitPackageCache.h>`

## Classes
class | Impl
| Base for CommitPackageCache implementations (implements no chache). More...

## Public Types
typedef function< ManagedFile(const PoolItem &pi, bool fromCache_r)> | PackageProvider

## Public Member Functions
| CommitPackageCache (const PackageProvider &packageProvider_r=RepoProvidePackage())
| Ctor. More...
| CommitPackageCache (const Pathname &, const PackageProvider &packageProvider_r=RepoProvidePackage()) ZYPP_DEPRECATED
| ~CommitPackageCache ()
| Dtor. More...
void | setCommitList (std::vector< sat::Solvable > commitList_r)
| Download(commit) sequence of solvables to compute read ahead. More...
template<class TIterator >
void | setCommitList (TIterator begin_r, TIterator end_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
ManagedFile | get (const PoolItem &citem_r)
| Provide a package. More...
ManagedFile | get (sat::Solvable citem_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | preloaded () const
| Whether preloaded hint is set. More...
void | preloaded (bool newval_r)
| Set preloaded hint. More...
| CommitPackageCache (Impl *pimpl_r)
| Ctor taking an implementation. More...

## Private Attributes
RW_pointer< Impl > | _pimpl
| Pointer to implementation. More...

## Friends
std::ostream & | operator<< (std::ostream &str, const CommitPackageCache &obj)

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &str, const CommitPackageCache &obj)
| Stream output. More...

## Detailed Description

Target::commit helper optimizing package provision.

Definition at line 58 of file CommitPackageCache.h.

## Member Typedef Documentation

## ◆ PackageProvider

typedef function<ManagedFile( const PoolItem & pi, bool fromCache_r )> zypp::target::CommitPackageCache::PackageProvider

Definition at line 63 of file CommitPackageCache.h.

## Constructor & Destructor Documentation

## ◆ CommitPackageCache() [1/3]

zypp::target::CommitPackageCache::CommitPackageCache | ( | const PackageProvider & | packageProvider_r = `RepoProvidePackage()` | ) |

Ctor.

Definition at line 117 of file CommitPackageCache.cc.

## ◆ CommitPackageCache() [2/3]

zypp::target::CommitPackageCache::CommitPackageCache | ( | const Pathname & | ,
|  | const PackageProvider & | packageProvider_r = `RepoProvidePackage()`
| ) |  |

Deprecated:
  Legacy Ctor; Pathname rootDir_r is not used.

The repositories RepoInfo::packagesPath defines the cache location.

Definition at line 131 of file CommitPackageCache.cc.

## ◆ ~CommitPackageCache()

zypp::target::CommitPackageCache::~CommitPackageCache | ( |  | ) |

Dtor.

Definition at line 136 of file CommitPackageCache.cc.

## ◆ CommitPackageCache() [3/3]

zypp::target::CommitPackageCache::CommitPackageCache | ( | Impl * | pimpl_r | ) |
| explicit

Ctor taking an implementation.

Definition at line 111 of file CommitPackageCache.cc.

## Member Function Documentation

## ◆ setCommitList() [1/2]

void zypp::target::CommitPackageCache::setCommitList | ( | std::vector< sat::Solvable > | commitList_r | ) |

Download(commit) sequence of solvables to compute read ahead.

Definition at line 139 of file CommitPackageCache.cc.

## ◆ setCommitList() [2/2]

template<class TIterator >

void zypp::target::CommitPackageCache::setCommitList | ( | TIterator | begin_r,
|  | TIterator | end_r
| ) |  |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 82 of file CommitPackageCache.h.

## ◆ get() [1/2]

ManagedFile zypp::target::CommitPackageCache::get | ( | const PoolItem & | citem_r | ) |

Provide a package.

Definition at line 142 of file CommitPackageCache.cc.

## ◆ get() [2/2]

ManagedFile zypp::target::CommitPackageCache::get | ( | sat::Solvable | citem_r | ) |
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 88 of file CommitPackageCache.h.

## ◆ preloaded() [1/2]

bool zypp::target::CommitPackageCache::preloaded | ( |  | ) | const

Whether preloaded hint is set.

If preloaded the cache tries to avoid trigering the infoInCache CB, based on the assumption this was already done when preloading the cache.

Definition at line 145 of file CommitPackageCache.cc.

## ◆ preloaded() [2/2]

void zypp::target::CommitPackageCache::preloaded | ( | bool | newval_r | ) |

Set preloaded hint.

Definition at line 148 of file CommitPackageCache.cc.

## Friends And Related Function Documentation

## ◆ operator<< [1/2]

std::ostream& operator<< | ( | std::ostream & | str,
|  | const CommitPackageCache & | obj
| ) |  |
| friend

Definition at line 156 of file CommitPackageCache.cc.

## ◆ operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const CommitPackageCache & | obj
| ) |  |
| related

Stream output.

Definition at line 156 of file CommitPackageCache.cc.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl> zypp::target::CommitPackageCache::_pimpl
| private

Pointer to implementation.

Definition at line 106 of file CommitPackageCache.h.

The documentation for this class was generated from the following files:

- zypp/target/CommitPackageCache.h
- zypp/target/CommitPackageCache.cc